Subject: Re: linux-next: manual merge of the async_tx tree with the arm tree

From: Russell King <[email-masked]>
Date: Wed, 28 Jul 2010 08:43:22 +0100

On Wed, Jul 28, 2010 at 12:11:19AM -0700, Dan Williams wrote:
> On Mon, Jul 26, 2010 at 7:08 PM, Stephen Rothwell <[email-masked]> wrote:
> > Hi Dan,
> >
> > Today's linux-next merge of the async_tx tree got a conflict in
> > arch/arm/mach-ux500/devices-db8500.c between commit
> > 6055930cba8fdb2c8855b32bae262aaf69c1fdb4 ("ARM: 6266/1: ux500: add
> > separate irq lists for DB8500 and DB5500") from the arm tree and commit
> > 5aa12e8c9c57741606e52f43e62ab1b9dc8e9dcc ("DMAENGINE: ste_dma40: arch
> > updates for LCLA and LCPA") from the async_tx tree.
> >
> > I fixed it up (I think - see below) and can carry the fix as necessary.
> > --
> 
> Thanks Stephen!
> 
> Russell, the dma40 driver updates and related arch fixups have been
> sitting in next for a month, I'd prefer not to lose this baseline.
> Assuming this change is brand new any chance the dma40 specific part
> of this patch can be peeled off and sent through my tree, or are you
> in a similar "can't/won't" rebase position?

I don't see how the change in the ARM tree could be reasonably split.
Up to Rabin/Linus to decide what they want to do about this.

-- 
Russell King
 Linux kernel    2.6 ARM Linux   - http://www.arm.linux.org.uk/
 maintainer of: